Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class PerClientAuthenticationInterceptor

    java.lang.Object
      org.springframework.flex.security3.PerClientAuthenticationInterceptor

All Implemented Interfaces:
  MessageInterceptor

    public class PerClientAuthenticationInterceptor

extends Object
implements MessageInterceptor

`MessageInterceptor` implementation that handles setup and teardown of the `SecurityContext` for the current request when using per-client authentication.

Author:
  Jeremy Grelle

Constructor Summary
`PerClientAuthenticationInterceptor()`

Method Summary
`Message` | `postProcess(MessageProcessingContext context, Message inputMessage, Message outputMessage)` Hook for post-processing the outgoing AMF `Message`
`Message` | `preProcess(MessageProcessingContext context, Message inputMessage)` Hook for pre-processing the incoming AMF `Message`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerClientAuthenticationInterceptor

    public PerClientAuthenticationInterceptor()

Method Detail

### postProcess

    public Message postProcess(MessageProcessingContext context,
                               Message inputMessage,
                               Message outputMessage)

  Hook for post-processing the outgoing AMF `Message`

  Specified by:
    `postProcess` in interface `MessageInterceptor`
  Parameters:
    `context` - context for the current request
    `inputMessage` - the incoming AMF message
    `outputMessage` - the outgoing AMF message
  Returns:
    the AMF message to send in response

### preProcess

    public Message preProcess(MessageProcessingContext context,
                              Message inputMessage)

  Hook for pre-processing the incoming AMF `Message`

  Specified by:
    `preProcess` in interface `MessageInterceptor`
  Parameters:
    `context` - context for the current request
    `inputMessage` - the incoming AMF message
  Returns:
    the AMF message to process in the current request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.